javax.faces.validator

## Class RequiredValidator

- java.lang.Object
- - javax.faces.validator.RequiredValidator

- All Implemented Interfaces:
    EventListener, Validator

      public class RequiredValidator
      extends Object
      implements Validator

  A Validator that checks for an empty value in the same way that UIInput checks for a value. In fact, this validator is equivalent to setting the required attribute on the input component to true.

  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `VALIDATOR_ID` The standard converter id for this converter.

    - ### Fields inherited from interface javax.faces.validator.Validator

      `NOT_IN_RANGE_MESSAGE_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequiredValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(FacesContext context, UIComponent component, Object value)` Verify that the converted object value is not null.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALIDATOR_ID

          public static final String VALIDATOR_ID

      The standard converter id for this converter.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RequiredValidator

          public RequiredValidator()

  - ### Method Detail

    - #### validate

          public void validate(FacesContext context,
                      UIComponent component,
                      Object value)

      Verify that the converted object value is not null.
      Specified by:
        `validate` in interface `Validator`
      Parameters:
        `context` - FacesContext for the request we are processing
        `component` - UIComponent we are checking for correctness
        `value` - the value to validate
      Throws:
        `ValidatorException` - if validation fails

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.